Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractPrintDialog

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QObject
                      com.trolltech.qt.gui.QWidget
                          com.trolltech.qt.gui.QDialog
                              com.trolltech.qt.gui.QAbstractPrintDialog

All Implemented Interfaces:
  QPaintDeviceInterface, QtJambiInterface

Direct Known Subclasses:
  QPrintDialog

    public abstract class QAbstractPrintDialog

extends QDialog

The `QAbstractPrintDialog` class provides a base implementation for print dialogs used to configure printers. This class implements getter and setter functions that are used to customize settings shown in print dialogs, but it is not used directly. Use `QPrintDialog` to display a print dialog in your application.

See also:
  `QPrintDialog`, `QPrinter`, and Printing with Qt.

Nested Class Summary
`static class` | `QAbstractPrintDialog.PrintDialogOption` Used to specify which parts of the print dialog should be visible.
`static class` | `QAbstractPrintDialog.PrintDialogOptions` This is a flags class for com.trolltech.qt.gui.QAbstractPrintDialog.PrintDialogOption
`static class` | `QAbstractPrintDialog.PrintRange` Used to specify the print range selection option.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QDialog
`QDialog.DialogCode`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QWidget
`QWidget.RenderFlag, QWidget.RenderFlags`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.gui.QDialog
`accepted, finished, rejected`

Fields inherited from class com.trolltech.qt.gui.QWidget
`customContextMenuRequested`

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QAbstractPrintDialog(QPrinter printer)` Constructs an abstract print dialog for `printer` with `parent` as parent widget.
`QAbstractPrintDialog(QPrinter printer, QWidget parent)` Constructs an abstract print dialog for `printer` with `parent` as parent widget.

Method Summary
`void` | `addEnabledOption(QAbstractPrintDialog.PrintDialogOption option)` Adds the option `option` to the set of enabled options in this dialog.
`QAbstractPrintDialog.PrintDialogOptions` | `enabledOptions()` Returns the set of enabled options in this dialog.
`int` | `fromPage()` Returns the first page to be printed By default, this value is set to 0.
`boolean` | `isOptionEnabled(QAbstractPrintDialog.PrintDialogOption option)` Returns true if the specified `option` is enabled; otherwise returns false
`int` | `maxPage()` Returns the maximum page in the page range.
`int` | `minPage()` Returns the minimum page in the page range.
`QPrinter` | `printer()` Returns the printer that this printer dialog operates on.
`QAbstractPrintDialog.PrintRange` | `printRange()` Returns the print range.
`void` | `setEnabledOptions(QAbstractPrintDialog.PrintDialogOption[] options)` Sets the set of options that should be enabled in the print dialog to `options`.
`void` | `setEnabledOptions(QAbstractPrintDialog.PrintDialogOptions options)` Sets the set of options that should be enabled in the print dialog to `options`.
`void` | `setFromTo(int fromPage, int toPage)` Sets the range in the print dialog to be from `from` to `to`.
`void` | `setMinMax(int min, int max)` Sets the page range in this dialog to be from `min` to `max`.
`void` | `setOptionTabs(java.util.List tabs)` Set a list of widgets as `tabs` to be shown on the print dialog, if supported.
`void` | `setPrintRange(QAbstractPrintDialog.PrintRange range)` Sets the print range option in to be `range`.
`int` | `toPage()` Returns the last page to be printed.

Methods inherited from class com.trolltech.qt.gui.QDialog
`accept, done, exec, isSizeGripEnabled, reject, result, setModal, setResult, setSizeGripEnabled`

Methods inherited from class com.trolltech.qt.gui.QWidget
`acceptDrops, accessibleDescription, accessibleName, actionEvent, actions, activateWindow, addAction, addActions, adjustSize, autoFillBackground, backgroundRole, baseSize, changeEvent, childAt, childAt, childrenRect, childrenRegion, clearFocus, clearMask, close, closeEvent, contentsRect, contextMenuEvent, contextMenuPolicy, cursor, depth, destroy, destroy, destroy, dragEnterEvent, dragLeaveEvent, dragMoveEvent, dropEvent, effectiveWinId, ensurePolished, enterEvent, focusInEvent, focusNextChild, focusNextPrevChild, focusOutEvent, focusPolicy, focusPreviousChild, focusProxy, focusWidget, font, fontInfo, fontMetrics, foregroundRole, frameGeometry, frameSize, geometry, getContentsMargins, grabKeyboard, grabMouse, grabMouse, grabShortcut, grabShortcut, hasFocus, hasMouseTracking, height, heightForWidth, heightMM, hide, hideEvent, inputContext, inputMethodEvent, inputMethodQuery, insertAction, insertActions, isActiveWindow, isAncestorOf, isEnabled, isEnabledTo, isFullScreen, isHidden, isMaximized, isMinimized, isModal, isVisible, isVisibleTo, isWindow, isWindowModified, keyboardGrabber, keyPressEvent, keyReleaseEvent, languageChange, layout, layoutDirection, leaveEvent, locale, logicalDpiX, logicalDpiY, lower, mapFrom, mapFromGlobal, mapFromParent, mapTo, mapToGlobal, mapToParent, mask, maximumHeight, maximumSize, maximumWidth, metric, minimumHeight, minimumSize, minimumSizeHint, minimumWidth, mouseDoubleClickEvent, mouseGrabber, mouseMoveEvent, mousePressEvent, mouseReleaseEvent, move, move, moveEvent, nativeParentWidget, nextInFocusChain, normalGeometry, numColors, overrideWindowFlags, overrideWindowFlags, paintEngine, paintEvent, paintingActive, palette, parentWidget, physicalDpiX, physicalDpiY, pos, raise, rect, releaseKeyboard, releaseMouse, releaseShortcut, removeAction, render, render, render, render, render, render, render, render, render, repaint, repaint, repaint, repaint, resetInputContext, resize, resize, resizeEvent, restoreGeometry, saveGeometry, scroll, scroll, setAcceptDrops, setAccessibleDescription, setAccessibleName, setAttribute, setAttribute, setAutoFillBackground, setBackgroundRole, setBaseSize, setBaseSize, setContentsMargins, setContentsMargins, setContextMenuPolicy, setCursor, setDisabled, setEnabled, setFixedHeight, setFixedSize, setFixedSize, setFixedWidth, setFocus, setFocus, setFocusPolicy, setFocusProxy, setFont, setForegroundRole, setGeometry, setGeometry, setHidden, setInputContext, setLayout, setLayoutDirection, setLocale, setMask, setMask, setMaximumHeight, setMaximumSize, setMaximumSize, setMaximumWidth, setMinimumHeight, setMinimumSize, setMinimumSize, setMinimumWidth, setMouseTracking, setPalette, setParent, setParent, setParent, setShortcutAutoRepeat, setShortcutAutoRepeat, setShortcutEnabled, setShortcutEnabled, setSizeIncrement, setSizeIncrement, setSizePolicy, setSizePolicy, setStatusTip, setStyle, setStyleSheet, setTabOrder, setToolTip, setUpdatesEnabled, setVisible, setWhatsThis, setWindowFilePath, setWindowFlags, setWindowFlags, setWindowIcon, setWindowIconText, setWindowModality, setWindowModified, setWindowOpacity, setWindowRole, setWindowState, setWindowState, setWindowTitle, show, showEvent, showFullScreen, showMaximized, showMinimized, showNormal, size, sizeHint, sizeIncrement, sizePolicy, stackUnder, statusTip, style, styleSheet, tabletEvent, testAttribute, toolTip, underMouse, unsetCursor, unsetLayoutDirection, unsetLocale, update, update, update, update, updateGeometry, updateMicroFocus, updatesEnabled, visibleRegion, whatsThis, wheelEvent, width, widthMM, window, windowFilePath, windowFlags, windowIcon, windowIconText, windowModality, windowOpacity, windowRole, windowState, windowTitle, windowType, winId, x, y`

Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAbstractPrintDialog

    public QAbstractPrintDialog(QPrinter printer)

  Constructs an abstract print dialog for `printer` with `parent` as parent widget.

### QAbstractPrintDialog

    public QAbstractPrintDialog(QPrinter printer,
                                QWidget parent)

  Constructs an abstract print dialog for `printer` with `parent` as parent widget.

Method Detail

### addEnabledOption

    public final void addEnabledOption(QAbstractPrintDialog.PrintDialogOption option)

  Adds the option `option` to the set of enabled options in this dialog.

  Except for the `DontUseSheet` option, this function has no effect on Mac OS X. See the `QPrintDialog` documentation for more information.

### enabledOptions

    public final QAbstractPrintDialog.PrintDialogOptions enabledOptions()

  Returns the set of enabled options in this dialog.

See also:
  `setEnabledOptions()`.

### fromPage

    public final int fromPage()

  Returns the first page to be printed By default, this value is set to 0.

### isOptionEnabled

    public final boolean isOptionEnabled(QAbstractPrintDialog.PrintDialogOption option)

  Returns true if the specified `option` is enabled; otherwise returns false

### maxPage

    public final int maxPage()

  Returns the maximum page in the page range. As of Qt 4.4, this function returns INT_MAX by default. Previous versions returned 1 by default.

### minPage

    public final int minPage()

  Returns the minimum page in the page range. By default, this value is set to 1.

### printRange

    public final QAbstractPrintDialog.PrintRange printRange()

  Returns the print range.

See also:
  `setPrintRange()`.

### printer

    public final QPrinter printer()

  Returns the printer that this printer dialog operates on.

### setEnabledOptions

    public final void setEnabledOptions(QAbstractPrintDialog.PrintDialogOption[] options)

  Sets the set of options that should be enabled in the print dialog to `options`.

  Except for the `DontUseSheet` option, this function has no effect on Mac OS X. See the `QPrintDialog` documentation for more information.

See also:
  `enabledOptions()`.

### setEnabledOptions

    public final void setEnabledOptions(QAbstractPrintDialog.PrintDialogOptions options)

  Sets the set of options that should be enabled in the print dialog to `options`.

  Except for the `DontUseSheet` option, this function has no effect on Mac OS X. See the `QPrintDialog` documentation for more information.

See also:
  `enabledOptions()`.

### setFromTo

    public final void setFromTo(int fromPage,
                                int toPage)

  Sets the range in the print dialog to be from `from` to `to`.

### setMinMax

    public final void setMinMax(int min,
                                int max)

  Sets the page range in this dialog to be from `min` to `max`. This also enables the `PrintPageRange` option.

### setOptionTabs

    public final void setOptionTabs(java.util.List tabs)

  Set a list of widgets as `tabs` to be shown on the print dialog, if supported.

  Currently this option is only supported on X11.

  Setting the option tabs will transfer their ownership to the print dialog.

### setPrintRange

    public final void setPrintRange(QAbstractPrintDialog.PrintRange range)

  Sets the print range option in to be `range`.

See also:
  `printRange()`.

### toPage

    public final int toPage()

  Returns the last page to be printed. By default, this value is set to 0.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD